Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/Material/FrmMaterialSelect.designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/Material/FrmMaterialSelect.designer.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/Material/FrmMaterialSelect.designer.cs	(revision 51)
@@ -0,0 +1,222 @@
+﻿using ProcessManagement.Forms.CustomControls;
+
+namespace ProcessManagement.Forms.SubForms
+{
+    partial class FrmMaterialSelect
+    {
+        /// <summary>
+        /// 必要なデザイナ変数です。
+        /// </summary>
+        private System.ComponentModel.IContainer components = null;
+
+        /// <summary>
+        /// 使用中のリソースをすべてクリーンアップします。
+        /// </summary>
+        /// <param name="disposing">マネージ リソースが破棄される場合 true、破棄されない場合は false です。</param>
+        protected override void Dispose(bool disposing)
+        {
+            if (disposing && (components != null))
+            {
+                components.Dispose();
+            }
+            base.Dispose(disposing);
+        }
+
+        #region Windows フォーム デザイナで生成されたコード
+
+        /// <summary>
+        /// デザイナ サポートに必要なメソッドです。このメソッドの内容を
+        /// コード エディタで変更しないでください。
+        /// </summary>
+        private void InitializeComponent()
+        {
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle1 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle2 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle3 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle4 = new System.Windows.Forms.DataGridViewCellStyle();
+            this.label1 = new System.Windows.Forms.Label();
+            this.label2 = new System.Windows.Forms.Label();
+            this.btnEnd = new System.Windows.Forms.Button();
+            this.cmbTypes = new System.Windows.Forms.ComboBox();
+            this.btnSelect = new System.Windows.Forms.Button();
+            this.dgvMaster = new ProcessManagement.Forms.CustomControls.DataGridViewEX();
+            this.Column1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.Column3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.Column2 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.Column4 = new System.Windows.Forms.DataGridViewCheckBoxColumn();
+            ((System.ComponentModel.ISupportInitialize)(this.dgvMaster)).BeginInit();
+            this.SuspendLayout();
+            // 
+            // label1
+            // 
+            this.label1.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(128)))));
+            this.label1.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.label1.ForeColor = System.Drawing.Color.Black;
+            this.label1.Location = new System.Drawing.Point(109, 8);
+            this.label1.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
+            this.label1.Name = "label1";
+            this.label1.Size = new System.Drawing.Size(292, 34);
+            this.label1.TabIndex = 6;
+            this.label1.Text = "資　材　選　択";
+            this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // label2
+            // 
+            this.label2.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(128)))), ((int)(((byte)(128)))));
+            this.label2.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.label2.ForeColor = System.Drawing.Color.Black;
+            this.label2.Location = new System.Drawing.Point(8, 48);
+            this.label2.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
+            this.label2.Name = "label2";
+            this.label2.Size = new System.Drawing.Size(100, 24);
+            this.label2.TabIndex = 23;
+            this.label2.Text = "資材種類";
+            this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // btnEnd
+            // 
+            this.btnEnd.BackColor = System.Drawing.Color.Blue;
+            this.btnEnd.ForeColor = System.Drawing.Color.White;
+            this.btnEnd.Location = new System.Drawing.Point(373, 428);
+            this.btnEnd.Margin = new System.Windows.Forms.Padding(4);
+            this.btnEnd.Name = "btnEnd";
+            this.btnEnd.Size = new System.Drawing.Size(120, 34);
+            this.btnEnd.TabIndex = 4;
+            this.btnEnd.Text = "終　了";
+            this.btnEnd.UseVisualStyleBackColor = false;
+            this.btnEnd.Click += new System.EventHandler(this.btnEnd_Click);
+            // 
+            // cmbTypes
+            // 
+            this.cmbTypes.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
+            this.cmbTypes.FormattingEnabled = true;
+            this.cmbTypes.Location = new System.Drawing.Point(116, 49);
+            this.cmbTypes.Margin = new System.Windows.Forms.Padding(4);
+            this.cmbTypes.Name = "cmbTypes";
+            this.cmbTypes.Size = new System.Drawing.Size(377, 24);
+            this.cmbTypes.TabIndex = 24;
+            this.cmbTypes.SelectedIndexChanged += new System.EventHandler(this.cmbTypes_SelectedIndexChanged);
+            // 
+            // btnSelect
+            // 
+            this.btnSelect.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(0)))), ((int)(((byte)(192)))), ((int)(((byte)(0)))));
+            this.btnSelect.ForeColor = System.Drawing.Color.Black;
+            this.btnSelect.Location = new System.Drawing.Point(247, 428);
+            this.btnSelect.Margin = new System.Windows.Forms.Padding(4);
+            this.btnSelect.Name = "btnSelect";
+            this.btnSelect.Size = new System.Drawing.Size(120, 34);
+            this.btnSelect.TabIndex = 26;
+            this.btnSelect.Text = "選　択";
+            this.btnSelect.UseVisualStyleBackColor = false;
+            this.btnSelect.Click += new System.EventHandler(this.btnSelect_Click);
+            // 
+            // dgvMaster
+            // 
+            this.dgvMaster.AllowUserToAddRows = false;
+            this.dgvMaster.AllowUserToDeleteRows = false;
+            this.dgvMaster.AllowUserToResizeColumns = false;
+            this.dgvMaster.AllowUserToResizeRows = false;
+            this.dgvMaster.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            dataGridViewCellStyle1.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle1.BackColor = System.Drawing.SystemColors.Control;
+            dataGridViewCellStyle1.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            dataGridViewCellStyle1.ForeColor = System.Drawing.SystemColors.WindowText;
+            dataGridViewCellStyle1.SelectionBackColor = System.Drawing.SystemColors.Highlight;
+            dataGridViewCellStyle1.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
+            dataGridViewCellStyle1.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
+            this.dgvMaster.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle1;
+            this.dgvMaster.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
+            this.dgvMaster.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
+            this.Column1,
+            this.Column3,
+            this.Column2,
+            this.Column4});
+            this.dgvMaster.Location = new System.Drawing.Point(8, 80);
+            this.dgvMaster.Margin = new System.Windows.Forms.Padding(4);
+            this.dgvMaster.Name = "dgvMaster";
+            this.dgvMaster.RowHeadersVisible = false;
+            this.dgvMaster.RowHeadersWidth = 24;
+            this.dgvMaster.RowHeadersWidthSizeMode = System.Windows.Forms.DataGridViewRowHeadersWidthSizeMode.DisableResizing;
+            this.dgvMaster.RowTemplate.Height = 21;
+            this.dgvMaster.SelectionMode = System.Windows.Forms.DataGridViewSelectionMode.FullRowSelect;
+            this.dgvMaster.Size = new System.Drawing.Size(485, 340);
+            this.dgvMaster.TabIndex = 0;
+            // 
+            // Column1
+            // 
+            dataGridViewCellStyle2.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle2.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            dataGridViewCellStyle2.ForeColor = System.Drawing.Color.Black;
+            this.Column1.DefaultCellStyle = dataGridViewCellStyle2;
+            this.Column1.HeaderText = "№";
+            this.Column1.Name = "Column1";
+            this.Column1.ReadOnly = true;
+            this.Column1.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.Column1.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.Column1.Width = 40;
+            // 
+            // Column3
+            // 
+            dataGridViewCellStyle3.ForeColor = System.Drawing.Color.Black;
+            this.Column3.DefaultCellStyle = dataGridViewCellStyle3;
+            this.Column3.HeaderText = "資材品目コード";
+            this.Column3.Name = "Column3";
+            this.Column3.ReadOnly = true;
+            this.Column3.Visible = false;
+            // 
+            // Column2
+            // 
+            dataGridViewCellStyle4.ForeColor = System.Drawing.Color.Black;
+            this.Column2.DefaultCellStyle = dataGridViewCellStyle4;
+            this.Column2.HeaderText = "名称";
+            this.Column2.Name = "Column2";
+            this.Column2.ReadOnly = true;
+            this.Column2.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.Column2.Width = 355;
+            // 
+            // Column4
+            // 
+            this.Column4.HeaderText = "選択";
+            this.Column4.Name = "Column4";
+            this.Column4.Width = 70;
+            // 
+            // FrmMaterialSelect
+            // 
+            this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
+            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Dpi;
+            this.BackColor = System.Drawing.Color.Black;
+            this.ClientSize = new System.Drawing.Size(502, 469);
+            this.Controls.Add(this.btnSelect);
+            this.Controls.Add(this.cmbTypes);
+            this.Controls.Add(this.label2);
+            this.Controls.Add(this.label1);
+            this.Controls.Add(this.btnEnd);
+            this.Controls.Add(this.dgvMaster);
+            this.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.Fixed3D;
+            this.KeyPreview = true;
+            this.Margin = new System.Windows.Forms.Padding(4);
+            this.MaximizeBox = false;
+            this.Name = "FrmMaterialSelect";
+            this.ShowIcon = false;
+            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
+            this.Load += new System.EventHandler(this.FrmMaterialSelect_Load);
+            ((System.ComponentModel.ISupportInitialize)(this.dgvMaster)).EndInit();
+            this.ResumeLayout(false);
+
+        }
+
+        #endregion
+
+        private DataGridViewEX dgvMaster;
+        private System.Windows.Forms.Label label1;
+        private System.Windows.Forms.Label label2;
+        private System.Windows.Forms.Button btnEnd;
+        private System.Windows.Forms.ComboBox cmbTypes;
+        private System.Windows.Forms.Button btnSelect;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column1;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column3;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column2;
+        private System.Windows.Forms.DataGridViewCheckBoxColumn Column4;
+    }
+}
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmChangePassword.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmChangePassword.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmChangePassword.cs	(revision 51)
@@ -143,15 +143,17 @@
                 DialogResult resRet = MessageBox.Show("パスワードを変更します、よろしいですか？。", "変更確認"
                                                         , MessageBoxButtons.YesNoCancel, MessageBoxIcon.Information);
                 m_EndButton = resRet;
-                if (resRet == DialogResult.Cancel) return;
-                if (resRet == DialogResult.No)
+                if (resRet == DialogResult.Cancel)
                 {
-                    Close();
                     return;
                 }
+                else if (resRet == DialogResult.No)
+                {
+                    this.Close();
+                    return;
+                }
 
-                pmDB.connect();
-                pmDB.beginTran();
+                pmDB.connect(); pmDB.beginTran();
                 string UpdateSQL = string.Format("UPDATE PersonInChargeMaster SET PassWord = '{0}' Where PersonCode = {1}"
                                                     , m_dispLabelControl[(int)DispControl.PassWord].Text.ToString()
                                                     , m_PersonCode);
@@ -170,7 +172,7 @@
                 // パスワード変更
                 CommonMotions.LoginUserData.PassWord = m_dispLabelControl[(int)DispControl.PassWord].Text.ToString();
 
-                Close();
+                this.Close();
             }
             catch (System.Exception ex)
             {
@@ -178,8 +180,7 @@
             }
             finally
             {
-                pmDB.close();
-                pmDB = null;
+                pmDB.close(); pmDB = null;
             }
         }
         #endregion
Index: branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmLogin.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmLogin.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmLogin.cs	(revision 51)
@@ -94,7 +94,7 @@
         }
         #endregion
 
-        #region イベントメソッド
+        #region フォームロード
         /// <summary>
         /// フォームロード
         /// </summary>
@@ -108,6 +108,9 @@
             // 初期表示
             InitDataLoad();
         }
+        #endregion
+
+        #region 実行ボタン押下
         /// <summary>
         /// 実行ボタン押下
         /// </summary>
@@ -118,9 +121,13 @@
             try
             {
                 // ログインチェック
-                if (m_dispLabelControl[(int)DispControl.UserID].Text.Length == 0 
-                    && m_dispLabelControl[(int)DispControl.PassWord].Text.Length == 0) return;
                 
+                if (m_dispLabelControl[(int)DispControl.UserID].Text.Length == 0
+                    && m_dispLabelControl[(int)DispControl.PassWord].Text.Length == 0)
+                {
+                    return;
+                }
+
                 // パスワードチェック
                 if (!chkPassWord())
                 {
@@ -129,25 +136,24 @@
                     return;
                 }
 
-                DialogResult passchange = DialogResult.Yes;
-                // 初回ログイン時のみパスワードチェック
-                if (CommonMotions.LoginUserData.PersonCode.ToString() == CommonMotions.LoginUserData.PassWord)
+                // 初回ログイン時のみパスワード変更処理へ
+                m_EndButton = DialogResult.Yes;
+                if (CommonMotions.LoginUserData.PersonCode.ToString().Equals(CommonMotions.LoginUserData.PassWord))
                 {
-                    FrmChangePassword wrkFrm = new FrmChangePassword();
-                    wrkFrm.PerssonCode = CommonMotions.LoginUserData.PersonCode;
-                    //wrkFrm.ShowInTaskbar = false;
-                    wrkFrm.ShowDialog();
-                    passchange = wrkFrm.EndButton;
-                    wrkFrm.Dispose();
-                    wrkFrm = null;
+                    // パスワード変更
+                    m_EndButton = FirstPassChange();
+                    if (m_EndButton == DialogResult.No)
+                    {
+                        // 終了選択時
+                        this.Close();
+                        return;
+                    }
+                    else if (m_EndButton == DialogResult.None)
+                    {
+                        return;
+                    }
                 }
-                // 終了選択時
-                if (passchange == DialogResult.No)
-                {
-                    m_EndButton = passchange;
-                    this.Close();
-                    return;
-                }
+
                 // 開始確認
                 if (MessageBox.Show("システムを開始します、よろしいですか？。", "開始確認"
                                 , MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.No) return;
@@ -160,7 +166,38 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
+
+        #region 初回パスワード変更処理
         /// <summary>
+        /// 初回パスワード変更処理
+        /// </summary>
+        /// <returns></returns>
+        private DialogResult FirstPassChange()
+        {
+            FrmChangePassword wrkFrm = new FrmChangePassword();
+            try
+            {
+                wrkFrm.PerssonCode = CommonMotions.LoginUserData.PersonCode;
+                //wrkFrm.ShowInTaskbar = false;
+                wrkFrm.ShowDialog();
+
+                return wrkFrm.EndButton;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return DialogResult.No;
+            }
+            finally
+            {
+                wrkFrm.Dispose(); wrkFrm = null;
+            }
+        }
+        #endregion
+
+        #region フォームクローズ
+        /// <summary>
         /// フォームクローズ
         /// </summary>
         /// <param name="sender"></param>
@@ -178,6 +215,9 @@
                 if (m_EndButton == DialogResult.None) m_EndButton = DialogResult.No;
             }
         }
+        #endregion
+
+        #region 終了ボタン押下
         /// <summary>
         /// 終了ボタン押下
         /// </summary>
@@ -188,7 +228,9 @@
             m_EndButton = DialogResult.No;
             this.Close();
         }
+        #endregion
 
+        #region Formキーダウン処理
         /// <summary>
         /// Formキーダウン処理
         /// </summary>
@@ -196,23 +238,29 @@
         /// <param name="e"></param>
         private void FrmLogin_KeyDown(object sender, KeyEventArgs e)
         {
-            //Enterキーが押されているか確認
-            //AltかCtrlキーが押されている時は無視する
-            if ((e.KeyCode == Keys.Enter) && !e.Alt && !e.Control)
+            try
             {
-                //あたかもTabキーが押されたかのようにする
-                //Shiftが押されている時は前のコントロールのフォーカスを移動
-                this.ProcessTabKey(!e.Shift);
+                //Enterキーが押されているか確認
+                //AltかCtrlキーが押されている時は無視する
+                if ((e.KeyCode == Keys.Enter) && !e.Alt && !e.Control)
+                {
+                    //あたかもTabキーが押されたかのようにする
+                    //Shiftが押されている時は前のコントロールのフォーカスを移動
+                    this.ProcessTabKey(!e.Shift);
 
-                e.Handled = true;
-                //.NET Framework 2.0以降
-                e.SuppressKeyPress = true;
+                    e.Handled = true;
+                    //.NET Framework 2.0以降
+                    e.SuppressKeyPress = true;
+                }
             }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
         }
-
         #endregion
 
-        #region プライベートメソッド
+        #region 初期表示処理
         /// <summary>
         /// 初期表示処理
         /// </summary>
@@ -254,7 +302,9 @@
             {
             }
         }
+        #endregion
 
+        #region 工種コンボボックス初期表示処理
         /// <summary>
         /// 工種コンボボックス初期表示処理
         /// </summary>
@@ -300,6 +350,9 @@
                 picDB = null;
             }
         }
+        #endregion
+
+        #region 表示オブジェクトの取得
         /// <summary>
         /// 表示オブジェクトの取得
         /// </summary>
@@ -309,7 +362,9 @@
             m_dispLabelControl[(int)DispControl.PassWord] = txtPassWord;
             m_dispLabelControl[(int)DispControl.Slogan] = lblSlogan;
         }
+        #endregion
 
+        #region パスワードチェック
         /// <summary>
         /// パスワードチェック
         /// </summary>
@@ -317,36 +372,41 @@
         private bool chkPassWord()
         {
             IOMPersonInCharge pmDB = new IOMPersonInCharge();
+            IOMPersonDepartment pdDB = new IOMPersonDepartment();
             try
             {
-                bool bRet = false;
-                // システム管理者チェック
-                if (cmbUserList.Text.Length == 0 && m_dispLabelControl[(int)DispControl.PassWord].Text == CommonDefine.AdminPass)
+                int LoginUserID = CommonMotions.cnvInt(cmbUserList.SelectedValue);
+                string LoginPassString = m_dispLabelControl[(int)DispControl.PassWord].Text;
+
+                // システム管理者はチェック無
+                if (cmbUserList.Text.Length == 0 && LoginPassString.Equals(CommonDefine.AdminPass))
                 {
-                    PersonInChargeMaster admindata = new PersonInChargeMaster();
-                    admindata.PersonCode = CommonDefine.AdminCode;
-                    admindata.PersonName = CommonDefine.AdminUser;
-                    admindata.PassWord = CommonDefine.AdminPass;
-                    CommonMotions.LoginUserData = admindata;
+                    CommonMotions.LoginUserData.PersonCode = CommonDefine.AdminCode;
                     return true;
                 }
 
-                // 担当者コード取得
-                int PersonCode = CommonMotions.cnvInt(cmbUserList.SelectedValue.ToString());
-                
-                // パスワードチェック
+                // ----- パスワードチェック
                 PersonInChargeMaster wrkrec = new PersonInChargeMaster();
-                string strSQL = pmDB.CreatePrimarykeyString(CommonMotions.cnvInt(((ComboBox)m_dispLabelControl[(int)DispControl.UserID]).SelectedValue.ToString()));
-                if(pmDB.SelectAction(strSQL ,ref wrkrec))
+                string strSQL = pmDB.CreatePrimarykeyString(LoginUserID);
+                // 担当者マスタ読込
+                if (!pmDB.SelectAction(strSQL, ref wrkrec)) return false;
+                // パスワードの比較
+                if (!wrkrec.PassWord.Equals(LoginPassString)) return false;
+
+                // データセット（フォームは破棄されるの値をセットする）
+                SetLoginUserData(wrkrec);
+
+                // ----- 参照部署データ取得
+                List<PersonDepartmentMaster> depList = new List<PersonDepartmentMaster>();
+                string strpdSQL = pdDB.CreatePrimarykeyString(LoginUserID);
+                // 担当者参照部署マスタ読込
+                if (!pdDB.SelectAction(strSQL, ref depList)) return false;
+                foreach (PersonDepartmentMaster wrkRec in depList)
                 {
-                    if (wrkrec.PassWord == m_dispLabelControl[(int)DispControl.PassWord].Text.ToString())
-                    {
-                        // ＯＫの場合はログイン情報を退避する
-                        CommonMotions.LoginUserData = wrkrec;
-                        bRet = true;
-                    }
+                    CommonMotions.LoginUserDepartment.Add(wrkRec);
                 }
-                return bRet;
+
+                return true;
             }
             catch (Exception ex)
             {
@@ -355,10 +415,45 @@
             }
             finally
             {
-                pmDB.close();
-                pmDB = null;
+                pmDB.close(); pmDB = null;
+                pdDB.close(); pdDB = null;
             }
         }
         #endregion
+
+        #region ログインユーザーデータセット
+        /// <summary>
+        /// ログインユーザーデータセット
+        /// </summary>
+        private void SetLoginUserData(PersonInChargeMaster wrkrec)
+        {
+            try
+            {
+                // ＯＫの場合はログイン情報を退避する
+                CommonMotions.LoginUserData.PersonCode = wrkrec.PersonCode;                 // 担当者コード
+                CommonMotions.LoginUserData.DisplayOrder = wrkrec.DisplayOrder;	            // 表示順
+                CommonMotions.LoginUserData.PersonName = wrkrec.PersonName;                 // 担当者名
+                CommonMotions.LoginUserData.StartDate = wrkrec.StartDate;                   // マスタ使用開始年月日付
+                CommonMotions.LoginUserData.EndDate = wrkrec.EndDate;                       // マスタ使用開始年月日付
+                CommonMotions.LoginUserData.PassWord = wrkrec.PassWord;	                    // パスワード
+                CommonMotions.LoginUserData.SecurityManagement = wrkrec.SecurityManagement; // 機密区分
+                CommonMotions.LoginUserData.SecCode = wrkrec.SecCode;                       // 保護区分番号
+                CommonMotions.LoginUserData.MsgBackColor = wrkrec.MsgBackColor;	            // メッセージ背景色
+                CommonMotions.LoginUserData.DisplayString = wrkrec.DisplayString;	        // 表示・印刷名称
+                CommonMotions.LoginUserData.DepartmentCode = wrkrec.DepartmentCode;         // 部署コード
+                CommonMotions.LoginUserData.MonthlySalary = wrkrec.MonthlySalary;           // 月給金額
+                CommonMotions.LoginUserData.YearSalary = wrkrec.YearSalary;	                // 年棒金額
+                CommonMotions.LoginUserData.Qualification = wrkrec.Qualification;           // 資格情報
+                CommonMotions.LoginUserData.SealPrintName = wrkrec.SealPrintName;           // 印鑑表示名
+                CommonMotions.LoginUserData.EmployeeClassFlg = wrkrec.EmployeeClassFlg;     // 社員区分
+                CommonMotions.LoginUserData.LedgerFlg = wrkrec.LedgerFlg;                   // 台帳計算対象フラグ
+                CommonMotions.LoginUserData.DeleteFlg = wrkrec.DeleteFlg;                   // 削除フラグ
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
     }
 }
\ No newline at end of file
